module VTree where

data VTree alpha = VNode alpha [VTree alpha]
                   deriving Show

-- Count number of nodes
count :: VTree alpha-> Int
count (VNode _ ns) = 1+ count_nodes ns

count_nodes :: [VTree alpha] -> Int
count_nodes []     = 0
count_nodes (t:ts) = count t+ count_nodes ts  

