import java.lang.System;

class AbsList<T> {
  public AbsList(T el, AbsList<T> tl) {
    this.elem= el;
    this.next= tl;
  }
  public T elem;
  public AbsList<T> next;

int length () {
  return next == null ? 1 : 1+ next.length();
}

void concat(AbsList<T> o) 
{
  AbsList<T> cur= this; 
  while (cur.next != null) cur= cur.next;
  cur.next= o;    
}

public static void main(String[] args)
{
AbsList<Integer> l= 
  new AbsList<Integer>(new Integer(1), 
    new AbsList<Integer>(new Integer(2), null));

AbsList<Integer> l2 = 
  new AbsList<Integer>(new Integer(4), 
    new AbsList<Integer>(new Integer(5), null));

/* Does not work because of Java's non-existent type system 
AbsList<int> l4= new AbsList<int>(1, null);
*/

l.concat(l2);  
    
System.out.println("length: "+ l.length());
    
}
	    
}
      
	
